- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QLatin1String Class Reference

Search for all occurrences

## Detailed Description

Definition at line 657 of file qstring.h.

`#include <qstring.h>`

List of all members.

## Public Member Functions
| QLatin1String (const char *s)
QLatin1String & | operator= (const QLatin1String &other)
const char * | latin1 () const
bool | operator== (const QString &s) const
bool | operator!= (const QString &s) const
bool | operator> (const QString &s) const
bool | operator< (const QString &s) const
bool | operator>= (const QString &s) const
bool | operator<= (const QString &s) const
QT_ASCII_CAST_WARN bool | operator== (const char *s) const
QT_ASCII_CAST_WARN bool | operator!= (const char *s) const
QT_ASCII_CAST_WARN bool | operator< (const char *s) const
QT_ASCII_CAST_WARN bool | operator> (const char *s) const
QT_ASCII_CAST_WARN bool | operator<= (const char *s) const
QT_ASCII_CAST_WARN bool | operator>= (const char *s) const

## Constructor & Destructor Documentation

QLatin1String | ( | const char * | s | ) | `[inline, explicit]`

Definition at line 660 of file qstring.h.

    : chars(s) {}

## Member Function Documentation

QLatin1String& operator= | ( | const QLatin1String & | other | ) | `[inline]`

Definition at line 661 of file qstring.h.

        { chars = other.chars; return *this; }

const char* latin1 | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 664 of file qstring.h.

    { return chars; }

bool operator== | ( | const QString & | s | ) | const `[inline]`

Definition at line 666 of file qstring.h.

        { return s == *this; }

bool operator!= | ( | const QString & | s | ) | const `[inline]`

Definition at line 668 of file qstring.h.

        { return s != *this; }

bool operator> | ( | const QString & | s | ) | const `[inline]`

Definition at line 670 of file qstring.h.

        { return s < *this; }

bool operator< | ( | const QString & | s | ) | const `[inline]`

Definition at line 672 of file qstring.h.

        { return s > *this; }

bool operator>= | ( | const QString & | s | ) | const `[inline]`

Definition at line 674 of file qstring.h.

        { return s <= *this; }

bool operator<= | ( | const QString & | s | ) | const `[inline]`

Definition at line 676 of file qstring.h.

        { return s >= *this; }

QT_ASCII_CAST_WARN bool operator== | ( | const char * | s | ) | const `[inline]`

Definition at line 679 of file qstring.h.

            { return QString::fromAscii(s) == *this; }

QT_ASCII_CAST_WARN bool operator!= | ( | const char * | s | ) | const `[inline]`

Definition at line 681 of file qstring.h.

            { return QString::fromAscii(s) != *this; }

QT_ASCII_CAST_WARN bool operator< | ( | const char * | s | ) | const `[inline]`

Definition at line 683 of file qstring.h.

            { return QString::fromAscii(s) > *this; }

QT_ASCII_CAST_WARN bool operator> | ( | const char * | s | ) | const `[inline]`

Definition at line 685 of file qstring.h.

            { return QString::fromAscii(s) < *this; }

QT_ASCII_CAST_WARN bool operator<= | ( | const char * | s | ) | const `[inline]`

Definition at line 687 of file qstring.h.

            { return QString::fromAscii(s) >= *this; }

QT_ASCII_CAST_WARN bool operator>= | ( | const char * | s | ) | const `[inline]`

Definition at line 689 of file qstring.h.

            { return QString::fromAscii(s) <= *this; }

The documentation for this class was generated from the following file:

- QtCore/qstring.h

QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String
QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String QLatin1String